<template>
	<require from="./cockpit.css"></require>

	<div class="container-login100-cockpit">
		<div class="wrap-login100 w-full max-w-full">
			<div class="wrap-logo w-full max-w-full">
				<span class="logo-subtitle">Um produto da plataforma Sete Águias</span>
				<div class="wrap-logo-text">
					<span class="logo-title animate__animated animate__backInDown">Sete Águias Cockpit</span>
					<span class="login100-form-title animate__animated animate__fadeIn">
						Bem-vindo de volta!
					</span>
					<div class="login-info text-center animate__animated animate__fadeIn">
						<span class="txt1">
							Informe seu login e senha para entrar.
						</span>
					</div>
				</div>
			</div>

			<div class="wrap-login" id="container" >
				<form class="login100-form validate-form">
					<div class="login-info text-center">
						<span class="txt1 alert-wrong" show.bind="loginInvalido">
							${mensagemErroLogin}
						</span>
					</div>
					<div class="wrap-input100 validate-input" data-validate="insira o seu e-mail">
						<input id="login" on-enter-key="callback.call: passwordFocus()" value.bind="user.login"
							class="input100" type="text" name="username" placeholder="e-mail">
						<span class="focus-input100"></span>
					</div>
					<div class="wrap-input100 validate-input" data-validate="digite a sua senha">
						<input id="senha" on-enter-key="callback.call: login()" value.bind="user.senha" class="input100"
							type="password" name="pass" placeholder="senha">
						<span class="focus-input100"></span>
					</div>
					<div class="container-login100-form-btn">
						<button click.delegate="login()" class="login100-form-btn animate__animated animate__backInUp">
							Entrar
						</button>
					</div>
					<div class="action-bottom">
						<!-- <button class="txt3" type="button" id="invoke">
							Esqueci a senha
						</button> 
						<a href="#" click.delegate="cadastrar()" class="txt1 text-decoration-none">
							Quero me cadastrar
						</a>-->
					</div>
				</form>
				<div class="wrap-dev-100 w-full max-w-full">
					<span>v1.0.0</span>
					<div class="wrap-dev">
						<span>Desenvolvido por FS</span>
					</div>
				</div>
			</div>
		</div>

	</div>

	<dialog id="modal-forgot-password">
		<form method="dialog">
			<i class="cancel fa-solid fa-xmark"></i>
			<div class="dialog-header">
				<strong>Esqueceu sua senha?</strong>
			</div>
			<menu class="dialog-body">
				<div class="mb-1 w-100">
					<input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp"
						placeholder="seu@email.com">
				</div>
				<div class="dialog-actions">
					<button type="submit" class="btn" value="false">Cancelar</button>
					<button type="submit" class="btn btn-primary" value="true">Enviar</button>
				</div>
			</menu>
		</form>
	</dialog>
</template>
